uniform int height; // Height of the area that is being painted, in pixels

int[] off_x = int[8](-1, 0, 1, -1, 1, -1, 0, 1);
int[] off_y = int[8](-1, -1, -1, 0, 0, 1, 1, 1);

vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords )
{

	vec4 tex_colour = texture2D(texture, texture_coords);

	float cy = texture_coords.y * height;

	int line_height = 4;
	int odd = int(mod(cy, line_height));
	float alpha = 1;
	if(odd >= line_height / 2) {
		alpha = .7;
	}

	return vec4(vec3(tex_colour), alpha);
}
